Page MenuHomePhabricator

Decommission db2062.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission of server db2062.codfw.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db2062

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place. https://gerrit.wikimedia.org/r/552066
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below. https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/553243/
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/553530/
  • - remove ALL dns entries except the asset tag mgmt entries. https://gerrit.wikimedia.org/r/#/c/operations/dns/+/553531/
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Jclark-ctr, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterDNS: Remove mgmt DNS for db2062 and db2067
operations/dns : masterwmnet: Remove production dns for db2062
operations/puppet : productionmariadb: Remove db2062 from puppet
operations/puppet : productionmariadb: Set db2062 to spare
operations/puppet : productiondb2062: Disable notifications

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptWed, Nov 20, 8:17 AM
Marostegui triaged this task as Medium priority.Wed, Nov 20, 8:18 AM
Marostegui moved this task from Triage to Next on the DBA board.

Change 552066 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2062: Disable notifications

https://gerrit.wikimedia.org/r/552066

Marostegui updated the task description. (Show Details)Wed, Nov 20, 1:47 PM

Change 552066 merged by Marostegui:
[operations/puppet@production] db2062: Disable notifications

https://gerrit.wikimedia.org/r/552066

Change 553243 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Set db2062 to spare

https://gerrit.wikimedia.org/r/553243

Mentioned in SAL (#wikimedia-operations) [2019-11-27T06:50:19Z] <marostegui> Stop MySQL on db2062 - T238726

Change 553243 merged by Marostegui:
[operations/puppet@production] mariadb: Set db2062 to spare

https://gerrit.wikimedia.org/r/553243

Mentioned in SAL (#wikimedia-operations) [2019-11-27T06:52:02Z] <marostegui> Remove db2062 from tendril and zarcillo - T238726

Marostegui updated the task description. (Show Details)Wed, Nov 27, 6:53 AM
Marostegui moved this task from Next to In progress on the DBA board.
RobH removed a subscriber: RobH.Wed, Nov 27, 4:00 PM

Change 553530 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove db2062 from puppet

https://gerrit.wikimedia.org/r/553530

Change 553531 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production dns for db2062

https://gerrit.wikimedia.org/r/553531

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2062.codfw.wmnet

  • db2062.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 553530 merged by Marostegui:
[operations/puppet@production] mariadb: Remove db2062 from puppet

https://gerrit.wikimedia.org/r/553530

Change 553531 merged by Marostegui:
[operations/dns@master] wmnet: Remove production dns for db2062

https://gerrit.wikimedia.org/r/553531

Marostegui reassigned this task from Marostegui to Papaul.Fri, Nov 29, 6:17 AM
Marostegui edited projects, added decommission, ops-codfw, DC-Ops; removed Patch-For-Review, DBA.
Marostegui updated the task description. (Show Details)
Marostegui added a subscriber: RobH.
Restricted Application added a project: Operations. · View Herald TranscriptFri, Nov 29, 6:17 AM
Marostegui updated the task description. (Show Details)Fri, Nov 29, 6:17 AM
Marostegui moved this task from Backlog to pending onsite steps (codfw) on the decommission board.

Host ready for @Papaul to take over

Papaul updated the task description. (Show Details)Mon, Dec 2, 4:02 PM
Papaul updated the task description. (Show Details)Mon, Dec 2, 4:07 PM
papaul@asw-b-codfw# show | compare 
[edit interfaces interface-range vlan-private1-b-codfw]
-    member ge-5/0/40;
[edit interfaces interface-range disabled]
     member ge-8/0/17 { ... }
+    member ge-5/0/40;
[edit interfaces]
-   ge-5/0/40 {
-       description db2062;
-       enable;
-   }
Papaul moved this task from Backlog to Procurement on the ops-codfw board.Mon, Dec 2, 4:10 PM
Papaul moved this task from Procurement to Decommission on the ops-codfw board.
Papaul updated the task description. (Show Details)Wed, Dec 4, 3:59 PM
Papaul updated the task description. (Show Details)Fri, Dec 6, 12:08 AM

Change 554972 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2062 and db2067

https://gerrit.wikimedia.org/r/554972

Change 554972 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2062 and db2067

https://gerrit.wikimedia.org/r/554972

Papaul closed this task as Resolved.Fri, Dec 6, 12:21 AM
Papaul updated the task description. (Show Details)

Complete